/*var password = document.getElementById("password")
  , confirm_password = document.getElementById("password_conf");

function validatePassword(){
  if(password.value != confirm_password.value) {
    confirm_password.setCustomValidity("Senhas não combinam");
  } else {
    confirm_password.setCustomValidity('');
  }
}

password.onchange = validatePassword;
confirm_password.onkeyup = validatePassword;*/


/*    if($('.container-frame-page-home').length != 0)
    {
        $('.divTransition').hide();
    }*/
/*$(function () {
  $('[data-toggle="tooltip"]').tooltip()
})*/

$(window).on('load', function(){
    $('body').on( 'click', '.btn-recusar', function(e){
        $('.container-recusar').show();
        $('.container-termos').hide();
    });
    verficaBracoDireito();
});

$('input[rel="txtTooltip"]').tooltip();

$("#cad-default").click(function(){
   //$(".box-cad").toggle(1000, function(){});
   //$(".box-cad").toggle();
   //$(".box-cad").fadeToggle("slow");
   //$(".box-cad").fadeToggle();
   $(".box-cad").slideToggle();
});


function setForcaSenha(senha)
{
    forca = 0;
    if(senha != undefined)
    {
        if(senha.length < 8){
    		return mostra_res();
    	}
    	if((senha.length >= 8) && (senha.length <= 9) && senha.match(/[a-z]+/)){
    		forca += 10;
    	}else if((senha.length>8) && senha.match(/[a-z]+/)){
    		forca += 25;
    	}
    	if(senha.match(/[a-z]+/)){
    		forca += 10;
    	}
    	if(senha.match(/[A-Z]+/)){
    		forca += 20;
    	}
    	if(senha.match(/\d+/)){
    		forca += 20;
    	}
    	if(senha.match(/\W+/)){
    		forca += 25;
	    }
    }
    
	return resultForca();
}

var reposta = 0;
function resultForca(){
    
	if(forca > 0 && forca < 30){
		resposta = 1;
	}
	else if((forca >= 30) && (forca < 60))
	{
	    resposta = 2;
	}
	else if((forca >= 60) && (forca < 85))
	{
	    resposta = 3;
	}else if(forca >= 85)
	{
	    resposta = 4;
	}
	
	return resposta;
}

$('#precadastro-form').submit(function(event){	
    event.preventDefault();
    
	loadButton($('#precadastro-form > div.content-btn > button'));
	
	var senha = $("#password_cad").val();
	var conf_senha = $("#password_conf").val();
	var forca_senha = setForcaSenha(senha);
	
	if((senha == conf_senha) && forca_senha < 3){
        loadButton(null,false);
		ico = '<img src="'+base_url+'assets/img/comdono/icons/error.png'+'">';
        $('#content-error').show();
        $('#content-error').html('<label class="error-login"><span>'+ico+'</span> Digite uma senha forte.</label>');
	}
	else{
	    
    	var target = $(this).attr('action');
    	var data = $(this).serializeArray();
    	
    	$.ajax({
    		url: target,
    		dataType: 'json',
    		type: 'POST',
    		data: data,
    		success: function(retorno)
    		{		
    			if (retorno.valid === true)
    			{
    			    document.location.href = retorno.redirect;
    			}
    			else
    			{
    			    loadButton(null,false);
    		        ico = '<img src="'+base_url+'assets/img/comdono/icons/error.png'+'">';
                    $('#content-error').show();
                    $('#content-error').html('<label class="error-login"><span>'+ico+'</span>'+retorno.msg+'</label>');
    			}
    		},
    		error: function(error)
    		{
    		    loadButton(null,false);
    			ico = '<img src="'+base_url+'assets/img/comdono/icons/error.png'+'">';
                $('#content-error').show();
                $('#content-error').html('<label class="error-login"><span>'+ico+'</span>Não foi possível realizar o acesso! Falha na Comunicação.</label>');
    			
    		}
    	});
	}
	return false;
});

$('body').on( 'click', '.aceitar_termo', function(e){
    
    loadButton($(this));
    
    var chk_termo = $('input[name="chk_termo"]:checked').val();
    
    if(chk_termo == 'on'){
        console.log(chk_termo);
        
        var data = {
        chk_termo : 1
        };
    	$.ajax({
    		url: base_url+"comdono/ajax/cad_ajax/aceitar_termo",
    		dataType: 'json',
    		type: 'POST',
    		data: data,
    		success: function(retorno)
    		{	
    		    if(retorno.valid == true)
    		    {
    		        document.location.href = base_url+'cadastro';
    		    }
    		    else
    		    {
    		        loadButton(null,false);
    			    console.log(retorno)
    		    }
    		    
    		},
    		error: function(error)
    		{
    		    loadButton(null,false);
    			console.log(error);
    		}
    	});
    	
    }else{
        loadButton(null,false);
        ico = '<img src="'+base_url+'assets/img/comdono/icons/error.png'+'">';
        $('#content-error').show();
        $('#content-error').html('<label class="error-login"><span>'+ico+'</span>É necessário aceitar os termos de uso ao final da rolagem.</label>');
    }
});

$('body').on('change','input[name=chk_termo]', function(){
    
    var chk_termo = $('input[name="chk_termo"]:checked').val();
    
    if(chk_termo == 'on'){
        $('.aceitar_termo').css("background-color","#4caf50");
        $('.error-login').hide('clip');
    }
    else{
        $('.aceitar_termo').css("background-color","#a5d6a7")
        $('.error-login').show('clip');
    }
});

/*$("#recusar").on("shown.bs.collapse", function() {
  $('.box-termos').hide();
  $('.error-login').hide();
});

$("#recusar").on("hidden.bs.collapse", function() {
  $('.box-termos').show();
});*/


$('body').on( 'click', '.link-termos', function(e){
    $('.container-termos').show();
    $('.container-recusar').hide();
}); 

$('body').on( 'click', '.recusar_termo', function(e){
    loadButton($(this));
    document.location.href = base_url+'logout';
});    

$('body').on( 'click', '.tipo_anunciar', function(e){
    loadButton($(this));
    tipoDeCadastro(1)
});  

$('body').on( 'click', '.tipo_comprar', function(e){
    loadButton($(this));
    tipoDeCadastro(0)
});  
 
function tipoDeCadastro($tipo)
{
    
    $.ajax({
		url: base_url+"comdono/ajax/cad_ajax/set_tipo_cad",
		dataType: 'json',
		type: 'POST',
		data: {tipo: $tipo},
		success: function(retorno)
		{	
		    if(retorno.valid == true)
		    {
		        document.location.href = base_url+'cadastro';
		    }
		    else
		    {
		        loadButton(null,false);
		        console.log(retorno)
		    }
			
		},
		error: function(error)
		{
		    loadButton(null,false);
			console.log(error);
			
		}
	});
    
}

//blur
$('body').on('change','.bd_email', function()
{
    var data = {
        email : $(this).val()
        };
    $.ajax({
		url: base_url+"comdono/ajax/cad_ajax/get_braco_direito",
		dataType: 'json',
		type: 'POST',
		data: data,
		success: function(retorno)
		{		
		    if(retorno.valid == true)
		    {
		        $('.bd_nome').val(retorno.data.nome).prop('disabled', true);
    		    $('.bd_telefone').val(retorno.data.telefone).prop('disabled', true);
		    }
		    else
		    {
		        $('.bd_nome').val('').prop('disabled', false);
    		    $('.bd_telefone').val('').prop('disabled', false);
		    }
			console.log(retorno)
		},
		error: function(error)
		{
			console.log(error);
		}
	});	
});



$('body').on( 'click', '.voltarEtapaCad', function(e){
    loadButton($(this));
    setEtapaCad($(this).data('etapa'));
});

function setEtapaCad(etapa)
{
    $.ajax({
		url: base_url+"comdono/ajax/cad_ajax/set_etapa_anterior",
		dataType: 'json',
		type: 'POST',
		data: {etapa: etapa},
		success: function(retorno)
		{	
		    if(retorno.valid == true)
		    {
		        document.location.href = base_url+'cadastro';
		    }
		    else
		    {
		        loadButton(null,false);
		        $('#content-error').show();
		        $('#content-error').html('<label class="error-login">'+retorno.msg+'</label>');
		        
			}
		},
		error: function(error)
		{
		    loadButton(null,false);
			$('#content-error').show();
		    $('#content-error').html('<label class="error-login">Não foi possível realizar o acesso! Falha na Comunicação.</label>');
			
		}
	});
}

/*Braco direito*/

/*$('body').on('change','input[name=bd_comdono]', function(){
   
    var option = $("input[name='bd_comdono']:checked").val();
    
    if(option == "on"){
        $('.box-braco-direito').hide('clip');
    }
    else{
        $('.box-braco-direito').show('clip');
    }
});*/


$('body').on('change','input[name=bd_comdono]', function(){
    
    verficaBracoDireito();
    
});

function verficaBracoDireito(){
    var option = $("input[name='bd_comdono']:checked").val();
   
    if(option == "comdono"){
        $('#content-error').hide();
        //$('.box-braco-direito').hide('clip');
        $('.box-pular').hide('clip');
        
    }
    else{
        //$('.box-braco-direito').show('clip');
        $('.box-pular').show('clip');
    }
}

$('body').on( 'click', '.pular_braco', function(e){
    loadButton($(this));
    bracoDireito({pular : true});
});

$('body').on( 'click', '.cadastrar_braco', function(e){
    loadButton($(this));
    var data =  {
        pular : false,
        bd_comdono:     $('input[name="bd_comdono"]:checked').val(),
        /*email:          $('.bd_email').val(),
    	nome:           $('.bd_nome').val(),
        telefone:       $('.bd_telefone').val(),*/
        
    };
    bracoDireito(data);
});

function bracoDireito(data)
{
    $('#content-error').html('');
    $.ajax({
		url: base_url+"comdono/ajax/cad_ajax/set_braco_direito",
		dataType: 'json',
		type: 'POST',
		data: data,
		success: function(retorno)
		{	
		    if(retorno.valid == true)
		    {
		        document.location.href = base_url+'cadastro';
		    }
		    else
		    {
		        loadButton(null,false);
		        $('#content-error').show();
		        $('#content-error').html('<label class="error-login">'+retorno.msg+'</label>');
		        
			}
		},
		error: function(error)
		{
		    loadButton(null,false);
			$('#content-error').show();
		    $('#content-error').html('<label class="error-login">Não foi possível realizar o acesso! Falha na Comunicação.</label>');
			
		}
	});
}

/*codigo de seguranca*/
var segundos = 60;
var interval;

$('#telefone').keypress(function(event){

	var keycode = (event.keyCode ? event.keyCode : event.which);
	if(keycode == '13'){
		enviarSms($('.enviar_codigo_sms'));
	}

});

$('body').on( 'click', '.enviar_codigo_sms', function(e){
    enviarSms($(this));
    
});

function enviarSms(e)
{
    $('#content-error').html('');
    $('#content-result-sms').html('');
    loadButton(e);
    
    $.ajax({
		url: base_url+"comdono/ajax/cad_ajax/enviar_codigos_de_ativacao",
		dataType: 'json',
		type: 'POST',
		data: {telefone: $('#telefone').val()},
		success: function(retorno)
		{	
		    if(retorno.valid == true)
		    {
		        btn.html(textButton);
		        $('#content-result-sms').show('');
		        $('#content-result-sms').html(retorno.msg);
		        $('.box-codigo').show("clip");
		        $('#codigo_telefone').focus();
		        
		        /*setTimeout(function() {
                   btn.text(textButton);
                   btn.prop('disabled', false);
               }, segundos*1000);*/
               
		        var n = segundos;
                var l = document.getElementById("contador");
                interval = window.setInterval(function(){
                  l.innerHTML = n;
                  if(l.innerHTML > 0){
                    n--;
                  }
                  else
                  {
                    $('#content-result-sms').html('');
                    $('.enviar_codigo_sms').prop('disabled', false);
                    window.clearInterval(interval);
                  }
                },1000);
		    }
		    else
		    {
		        $('.enviar_codigo_sms').prop('disabled', false);
		        ico = '<img src="'+base_url+'assets/img/comdono/icons/error.png'+'" width="24">';
                $('#content-result-sms').show();
                $('#content-result-sms').html('<label class="error-login"><span>'+ico+'</span>'+retorno.msg+'</label>');
		    }
		},
		error: function(error)
		{
		    $('.enviar_codigo_sms').prop('disabled', false);
			ico = '<img src="'+base_url+'assets/img/comdono/icons/error.png'+'" width="24">';
            $('#content-error').show();
            $('#content-error').html('<label class="error-login"><span>'+ico+'</span>Não foi possível realizar o acesso! Falha na Comunicação.</label>');
		}
	});

}

$('#codigo_telefone').keypress(function(event){
	var keycode = (event.keyCode ? event.keyCode : event.which);
	if(keycode == '13'){
		confirmaTelefone($('.confirma_telefone'));
	}
});

$('body').on( 'click', '.confirma_telefone', function(e){
    confirmaTelefone($(this));
});

function confirmaTelefone(e)
{
    $('#content-error').html('');
    loadButton(e);
    var data = {
        telefone: $('#telefone').val(),
        codigo_ativacao: $('#codigo_telefone').val(),
        tipo_contato: $('input[name="tipo_contato"]:checked').val(),
    };
    $.ajax({
		url: base_url+"comdono/ajax/cad_ajax/ativa_conta",
		dataType: 'json',
		type: 'POST',
		data: data,
		success: function(retorno)
		{	
		    if(retorno.valid == true)
		    {
		        if(retorno.redirect !== null){
		            document.location.href =  base_url+retorno.redirect
		        }else{
		            document.location.href =  base_url+'cadastro';
		        }
		    }
		    else
		    {
    	        loadButton(null,false);
    	        ico = '<img src="'+base_url+'assets/img/comdono/icons/error.png'+'" width="24">';
                $('#content-error').show();
                $('#content-error').html('<label class="error-login"><span>'+ico+'</span>'+retorno.msg+'</label>');
		    }
		    
		},
		error: function(error)
		{
		    loadButton(null,false);
			ico = '<img src="'+base_url+'assets/img/comdono/icons/error.png'+'" width="24">';
            $('#content-error').show();
            $('#content-error').html('<label class="error-login"><span>'+ico+'</span>Não foi possível realizar o acesso! Falha na Comunicação.</label>');
		}
	});

}

$('body').on( 'click', '.cadastrarImovel', function(e){
    loadButton($(this));
    set_tipo_anuncio(0);
});  

$('body').on( 'click', '.agendarContato', function(e){
    loadButton($(this));
    set_tipo_anuncio(1);
});  

function set_tipo_anuncio($tipo)
{
    $.ajax({
		url: base_url+"comdono/ajax/cad_ajax/set_tipo_anuncio",
		dataType: 'json',
		type: 'POST',
		data: {tipo: $tipo},
		success: function(retorno)
		{	
		    if(retorno.valid == true)
		    {
		        document.location.href = retorno.redirect;
		    }
		    else
		    {
		        loadButton(null,false);
		        console.log(retorno)
		    }
		},
		error: function(error)
		{
		    loadButton(null,false);
			console.log(error);
			
		}
	});
}

$('body').on( 'click', '.setAgendamento', function(e){
    $('#content-error').html('');
    loadButton($(this));
    
    var melhor_hora = $("input[name='melhor_hora']:checked").val();
    var qnt_imovel = $('#qnt_imovel').val();
    //var melhor_dia = $('input[name=melhor_dia]').val();
    
    
    var data =  {
        qnt_imovel:  qnt_imovel,
    	melhor_hora: melhor_hora,
        //melhor_dia:  melhor_dia,
    };
    
    $.ajax({
		url: base_url+"comdono/ajax/cad_ajax/set_agendamento",
		dataType: 'json',
		type: 'POST',
		data: data,
		success: function(retorno)
		{	
		    if(retorno.valid == true)
		    {
		        document.location.href = retorno.redirect;
		        //$(".divAgendamento").html('');
		        $('.divAgendamentoResult').removeClass('d-none');
		        
		    }
		    else
		    {
		        loadButton(null,false);
    			ico = '<img src="'+base_url+'assets/img/comdono/icons/error.png'+'" width="24">';
                $('#content-error').show();
                $('#content-error').html('<label class="error-login"><span>'+ico+'</span>'+retorno.msg+'</label>');
		    }
		},
		error: function(error)
		{
		    loadButton(null,false);
			loadButton(null,false);
			ico = '<img src="'+base_url+'assets/img/comdono/icons/error.png'+'" width="24">';
            $('#content-error').show();
            $('#content-error').html('<label class="error-login"><span>'+ico+'</span>Não foi possível realizar o acesso! Falha na Comunicação.</label>');
			
		}
	});
});


$('body').on( 'click', '.pesquisarImovel', function(e){
    loadButton($(this));
    finalizaCadastro(0)
});
$('body').on( 'click', '.voltarParaInicio', function(e){
    loadButton($(this));
    finalizaCadastro(1)
});

$('body').on( 'click', '.continuarNavegando', function(e){
    loadButton($(this));
    finalizaCadastro(1)
});
$('body').on( 'click', '.minhaConta', function(e){
    
    loadButton($(this));
    finalizaCadastro(2)
});
 
function finalizaCadastro($tipo)
{
    
    console.log("tipo: "+$tipo);
    
    //return false;
    
    $.ajax({
		url: base_url+"comdono/ajax/cad_ajax/finaliza_cadastro",
		dataType: 'json',
		type: 'POST',
		data: {tipo: $tipo},
		success: function(retorno)
		{	
		    if(retorno.valid == true)
		    {
		        document.location.href = retorno.redirect;
		    }
		    else
		    {
		        loadButton(null,false);
		        console.log(retorno)
		    }
			
		},
		error: function(error)
		{
		    loadButton(null,false);
			console.log(error);
			
		}
	});
    
}

$(".btn-contato").on("click", function(){
    openForm();
    $('.open-modal-contato').modal('show');
});

function openForm(){
    $('#form-contato input[name=telefone]').val("");
    $('.modal-title').html("Tire suas dúvidas");
    $('#form-contato input[name=assunto]').val("Termos de uso");
    $("textarea#mensagem").val("Olá! Gostaria de conversar melhor sobre os termos de uso.");
    $('.content-result').hide();
    $('.content-result').html('');
    $('.content-form').show();
    $('.content-form #content-error').html('');
}